project_name: capsule
env:
  - COSIGN_EXPERIMENTAL=true
  - GO111MODULE=on
before:
  hooks:
    - go mod download
gomod:
  proxy: false
builds:
  - main: .
    binary: "{{ .ProjectName }}-{{ .Os }}-{{ .Arch }}"
    env:
      - CGO_ENABLED=0
    goarch:
      - amd64
      - arm64
    goos:
      - linux
    flags:
      - -trimpath
    mod_timestamp: '{{ .CommitTimestamp }}'
    ldflags:
      - >-
          -X main.Version={{ .Tag }}
          -X main.GitCommit={{ .Commit }}
          -X main.GitTag={{ .Tag }}
          -X main.GitDirty={{ .Date }}
          -X main.BuildTime={{ .Date }}
          -X main.GitRepo={{ .ProjectName }}
release:
  prerelease: auto
  footer: |
    Thanks to all the contributors!

    **Full Changelog**: https://github.com/projectcapsule/{{ .ProjectName }}/compare/{{ .PreviousTag }}...{{ .Tag }}
    
    **Docker Images**
    - `ghcr.io/projectcapsule/{{ .ProjectName }}:{{ .Version }}`
    - `ghcr.io/projectcapsule/{{ .ProjectName }}:latest`

    **Helm Chart**
    View this release on [Artifact Hub](https://artifacthub.io/packages/helm/projectcapsule/capsule/{{ .Version }}) or use the OCI helm chart:

    - `ghcr.io/projectcapsule/charts/{{ .ProjectName }}:{{ .Version }}`

checksum:
  name_template: 'checksums.txt'
changelog:
  sort: asc
  use: github
  filters:
    exclude:
    - '^test:'
    - '^chore'
    - '^rebase:'
    - 'merge conflict'
    - Merge pull request
    - Merge remote-tracking branch
    - Merge branch
  groups:
    # https://github.com/conventional-changelog/commitlint/tree/master/%40commitlint/config-conventional
    - title: '🛠 Dependency updates'
      regexp: '^.*?(feat|fix)\(deps\)!?:.+$'
      order: 300
    - title: '✨ New Features'
      regexp: '^.*?feat(\([[:word:]]+\))??!?:.+$'
      order: 100
    - title: '🐛 Bug fixes'
      regexp: '^.*?fix(\([[:word:]]+\))??!?:.+$'
      order: 200
    - title: '📖 Documentation updates'
      regexp: ^.*?docs(\([[:word:]]+\))??!?:.+$
      order: 400
    - title: '🛡️ Security updates'
      regexp: ^.*?(sec)(\([[:word:]]+\))??!?:.+$
      order: 500
    - title: '🚀 Build process updates'
      regexp: ^.*?(build|ci)(\([[:word:]]+\))??!?:.+$
      order: 600
    - title: '📦 Other work'
      order: 9999
sboms:
  - artifacts: archive
signs:
- cmd: cosign
  args:
  - "sign-blob"
  - "--output-signature=${signature}"
  - "${artifact}"
  - "--yes"
  artifacts: all
